Creation of KYC
Registers this consumer on our PSP with the different information needed for the light verification.
POST
Creation of KYC
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id you used to create the given consumer
Body
application/json
Description of email.
Description of first_name.
Description of last_name.
Description of birthday.
description of country_of_residence.
Description of nationality.
Response
Created
Description of email.
Description of first_name.
Description of last_name.
Description of birthday.
description of country_of_residence.
Description of nationality.
Previous
Metrics GlobalThis route allows you to get the cashbacks of a specific consumer, ventilated per status.
Cashback statuses are:
- PENDING: The cashback has been generated but is not yet validated (PENDING_VALIDATION). total_pending_cashback_amount
- VALIDATED: A cashback that has passed the validation period (e.g. 14 days of retraction for a classical purchase). The cashback can't be cancelled when validated total_validated_cashback_amount.
- PAID_IN: The cashback money has been collected from the merchant, but not yet transfered (paid out) to the consumer. total_paid_in_cashback_amount
- PAID_OUT: The cashback money has been transfered to the consumer pay out account. total_paid_out_cashback_amount
- CANCELLED: The cashback has been cancelled. total_cancelled_cashback_amount
We also return the total number of cashbacks since user acceptance of the terms of services and the total amount of cashbacks, whatever the status.
Do not compute cancelled cashbacks in total amount and total cashbacks.
This is especially useful for programs with pool, enabling to show how much money has been collected so far, but not yet transferred to the consumer.
Next
Creation of KYC